package net.mcreator.puzzle_code.procedures;

import net.minecraft.core.Direction;

public class NumberToDirectionSystemProcedure {
	public static Direction execute(double number) {
		double mod = 0;
		mod = number % 6;
		if (mod == 0) {
			return Direction.DOWN;
		} else if (mod == 1) {
			return Direction.UP;
		} else if (mod == 2) {
			return Direction.NORTH;
		} else if (mod == 3) {
			return Direction.SOUTH;
		} else if (mod == 4) {
			return Direction.WEST;
		} else if (mod == 5) {
			return Direction.EAST;
		}
		return Direction.DOWN;
	}
}
